<?php
/*
 * The template for displaying 404 pages (not found).
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

// Theme Options
$elate_error_main_heading = cs_get_option('error_main_heading');
$elate_error_heading = cs_get_option('error_heading');
$elate_error_page_content = cs_get_option('error_page_content');
$elate_error_btn_text = cs_get_option('error_btn_text');

$elate_error_main_heading = ( $elate_error_main_heading ) ? $elate_error_main_heading : esc_html__( '404', 'elate' );
$elate_error_heading = ( $elate_error_heading ) ? $elate_error_heading : esc_html__( 'Oops! Page Not Found!', 'elate' );
$elate_error_page_content = ( $elate_error_page_content ) ? $elate_error_page_content : esc_html__( 'You may have typed the address incorrectly or you may have used an outdated link. Try search our site.', 'elate' );
$elate_error_btn_text = ( $elate_error_btn_text ) ? $elate_error_btn_text : esc_html__( 'Search', 'elate' );

get_header(); ?>

	<!-- Content -->
	<div class="container">
	<div class="row">

		<div class="error-content eclt-404">
			<h1><?php echo esc_html($elate_error_main_heading); ?></h1>
			<h2><?php echo esc_html($elate_error_heading); ?></h2>
			<p><?php echo esc_html($elate_error_page_content); ?></p>
			<form method="get" id="searchform" action="<?php echo esc_url(home_url('/')); ?>" class="searchform" >
				<div>
					<label class="screen-reader-text" for="s"><?php esc_html_e( 'Search for:', 'elate' ); ?></label>
					<input type="text" name="s" id="s" placeholder="<?php esc_attr_e( 'Search...', 'elate' ); ?>" />
					<input type="submit" id="searchsubmit" value="<?php echo esc_attr($elate_error_btn_text); ?>" />
				</div>
			</form>
		</div>

	</div>
	</div>
	<!-- Content -->

<?php
get_footer();
