<?php
/*
 * The template for displaying archive pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

if (elate_is_post_type('casestudies')) { // Casestudies

$elate_casestudies_style = cs_get_option('casestudies_style');
$elate_casestudies_pagination = cs_get_option('casestudies_pagination');
$elate_casestudies_filter = cs_get_option('casestudies_filter');
$elate_casestudies_filter_type = cs_get_option('casestudies_filter_type');
$elate_casestudies_limit = cs_get_option('casestudies_limit');
$elate_casestudies_show_category = cs_get_option('casestudies_show_category');
$elate_casestudies_orderby = cs_get_option('casestudies_orderby');
$elate_casestudies_order = cs_get_option('casestudies_order');

if ($elate_casestudies_filter_type === 'ajax') {
  $filter_cls = ' ajax-filter';
} else {
  $filter_cls = ' normal-filter';
}

$elate_casestudies_style = $elate_casestudies_style ? $elate_casestudies_style : 'one';
?>
<div class="casestudies-section">
  <div class="container">
  <?php
  // Portfolio Filter
    if ($elate_casestudies_filter) {
    ?>
    <ul class="bpw-filter simple-fix<?php echo esc_attr($filter_cls); ?>">
      <li><a href="javascript:void(0);" class="btn-active" data-limit="<?php echo esc_attr($elate_casestudies_limit); ?>" data-style="<?php echo esc_attr($elate_casestudies_style); ?>" data-filter="*">All</a></li>
      <?php
        if ($elate_casestudies_show_category) {
          $cat_name = explode(',', $elate_casestudies_show_category);
          $terms = $cat_name;
          $count = count($terms);
          if ($count > 0) {
            foreach ($terms as $term) {
              echo '<li class="cat-'. preg_replace('/\s+/', "", strtolower($term)) .'"><a href="javascript:void(0);" class="filter cat-'. preg_replace('/\s+/', "", strtolower($term)) .'" data-limit="'.esc_attr($elate_casestudies_limit).'" data-style="'.esc_attr($elate_casestudies_style).'" data-cat="'. esc_attr($term->slug) .'" data-filter=".cat-'. preg_replace('/\s+/', "", strtolower($term)) .'" title="' . str_replace('-', " ", strtolower($term)) . '">' . str_replace('-', " ", strtolower($term)) . '</a></li>';
             }
          }
        } else {
          $terms = get_terms('casestudies_category');
          $count = count($terms);
          $i=0;
          $term_list = '';
          if ($count > 0) {
            foreach ($terms as $term) {
              $i++;
              $term_list .= '<li><a href="javascript:void(0);" class="filter cat-'. $term->slug .'" data-limit="'.esc_attr($elate_casestudies_limit).'" data-style="'.esc_attr($elate_casestudies_style).'" data-cat="'. esc_attr($term->slug) .'" data-filter=".cat-'. $term->slug .'" title="' . esc_attr($term->name) . '">' . $term->name . '</a></li>';
              if ($count != $i) {
                $term_list .= '';
              } else {
                $term_list .= '';
              }
            }
            echo $term_list;
          }
        }
      ?>
    </ul>
    <?php
    }

// Pagination
global $paged;
if( get_query_var( 'paged' ) )
  $my_page = get_query_var( 'paged' );
else {
  if( get_query_var( 'page' ) )
    $my_page = get_query_var( 'page' );
  else
    $my_page = 1;
  set_query_var( 'paged', $my_page );
  $paged = $my_page;
}

$args = array(
  // other query params here,
  'paged' => $my_page,
  'post_type' => 'casestudies',
  'posts_per_page' => (int)$elate_casestudies_limit,
  'casestudies_category' => esc_attr($elate_casestudies_show_category),
  'orderby' => $elate_casestudies_orderby,
  'order' => $elate_casestudies_order
);
$elate_cs = new WP_Query( $args );
?>
	<!-- Casestudies Start -->
  <div class="eclt-masonry bpw-style-<?php echo esc_attr($elate_casestudies_style); ?>">

		<?php
		/* Start the Loop */
		if ($elate_cs->have_posts()) : while ($elate_cs->have_posts()) : $elate_cs->the_post();
				/* Template */
				get_template_part( 'layouts/casestudies/casestudies', $elate_casestudies_style );
			endwhile;
		else :
			get_template_part( 'layouts/post/content', 'none' );
		endif;
		wp_reset_postdata(); ?>

	</div><!-- Casestudiess End -->
	<?php
  if($elate_cs->max_num_pages > 1) {
    if ($elate_casestudies_pagination) { elate_paging_nav($elate_cs->max_num_pages,"",$paged); }
  }
  wp_reset_postdata(); ?>
	</div> <!-- Row -->
</div> <!-- Container -->
<?php } elseif (elate_is_post_type('team')) { //Team

$team_limit = cs_get_option('team_limit');
$team_orderby = cs_get_option('team_orderby');
$team_order = cs_get_option('team_order');

$team_limit = $team_limit ? $team_limit : '8';
// Query Starts Here
// Pagination
global $paged;
if( get_query_var( 'paged' ) )
  $my_page = get_query_var( 'paged' );
else {
  if( get_query_var( 'page' ) )
    $my_page = get_query_var( 'page' );
  else
    $my_page = 1;
  set_query_var( 'paged', $my_page );
  $paged = $my_page;
}

$args = array(
  'paged' => $my_page,
  'post_type' => 'team',
  'posts_per_page' => (int)$team_limit,
  'orderby' => $team_orderby,
  'order' => $team_order,
);

$elate_team_qury = new WP_Query( $args );

if ($elate_team_qury->have_posts()) :
?>

<section class="eclt-members">
  <div class="container">
    <div class="row">
    <?php
    while ($elate_team_qury->have_posts()) : $elate_team_qury->the_post();

    // Link
    $team_options = get_post_meta( get_the_ID(), 'team_options', true );
    $team_pro = $team_options['team_job_position'];
    $phone_number = $team_options['phone_number'];
    $phone_number_link = $team_options['phone_number_link'];
    $mail_id = $team_options['mail_id'];
    $mail_id_link = $team_options['mail_id_link'];
    $team_socials = $team_options['social_icons'];

		$phone_number_link = $phone_number_link ? $phone_number_link : '#0';
		$mail_id_link = $mail_id_link ? $mail_id_link : '#0';

    // Featured Image
    $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
    $large_image = $large_image[0];
    $abt_title = get_the_title();
    ?>
      <div class="col-md-3 col-sm-4">
        <div class="member-item">
          <div class="eclt-image">
            <?php if ($large_image) { ?>
              <a href="<?php echo esc_url(the_permalink()); ?>"><img src="<?php echo esc_url($large_image); ?>" alt="<?php the_title_attribute(); ?>"></a>
            <?php } ?>
            <div class="member-social-links">
              <div class="eclt-table-container">
                <div class="eclt-align-container">
                  <div class="eclt-member-social rounded">
                    <div class="member-social-wrap">
                      <?php
                      if ( ! empty( $team_socials ) ) {
                        foreach ( $team_socials as $social ) {
                      ?>
                        <a href="<?php echo esc_url($social['icon_link']); ?>"><i class="<?php echo esc_attr($social['icon']); ?>" aria-hidden="true"></i></a>
                      <?php } } ?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="member-info">
            <h4 class="member-name"><a href="<?php echo esc_url(the_permalink()); ?>"><?php echo esc_html($abt_title); ?></a></h4>
            <?php if ($team_pro) {
             echo '<h6 class="member-designation">'.esc_html($team_pro).'</h6>';
            } ?>
          </div>
          <div class="member-contact-info">
          <?php if ($phone_number) { ?>
            <span><a href="<?php echo esc_url($phone_number_link); ?>"><?php esc_html_e( 'T : ', 'elate' ); ?><?php echo esc_html($phone_number); ?></a></span>
          <?php } if ($mail_id) { ?>
            <span><a href="<?php echo esc_url($mail_id_link); ?>" class="member-mail"><?php esc_html_e( 'E : ', 'elate' );  ?><?php echo esc_html($mail_id); ?></a></span>
          <?php } ?>
          </div>
        </div>
      </div>
      <?php endwhile; ?>
    </div>
    <?php
    if($elate_team_qury->max_num_pages > 1) {
      elate_paging_nav($elate_team_qury->max_num_pages,"",$paged);
    }
    wp_reset_postdata();  // avoid errors further down the page ?>
  </div>
</section> <!-- Team End -->
<?php
  endif;

} else { // Post
// Theme Options
$elate_blog_style = cs_get_option('blog_listing_style');
$elate_blog_columns = cs_get_option('blog_listing_columns');
$elate_sidebar_position = cs_get_option('blog_sidebar_position');

// Columns
if ($elate_blog_style === 'style-two') {
	$elate_blog_columns = $elate_blog_columns ? $elate_blog_columns : 'eclt-blog-col-2';
} else {
	$elate_blog_columns = 'eclt-blog-col-1';
}

// Style
if ($elate_blog_style === 'style-two') {
	$elate_blog_style = 'eclt-blog-one ';
} else {
	$elate_blog_style = 'eclt-blog-one eclt-blog-list';
}

$elate_blog_widget = cs_get_option('blog_widget');
if ($elate_blog_widget) {
  $widget_select = $elate_blog_widget;
} else {
  if (is_active_sidebar('sidebar-1')) {
    $widget_select = 'sidebar-1';
  } else {
    $widget_select = '';
  }
}

// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
  if ($elate_sidebar_position === 'sidebar-hide') {
  	$layout_class = 'col-md-12';
  	$elate_sidebar_class = 'eclt-hide-sidebar';
  } elseif ($elate_sidebar_position === 'sidebar-left') {
  	$layout_class = 'col-md-9';
  	$elate_sidebar_class = 'eclt-left-sidebar';
  } else {
  	$layout_class = 'col-md-9';
  	$elate_sidebar_class = 'eclt-right-sidebar';
  }
} else {
  $elate_sidebar_position = 'sidebar-hide';
  $layout_class = 'col-md-12';
  $elate_sidebar_class = 'eclt-hide-sidebar';
}

?>
<div class="eclt-mid-wrap eclt-blog-listing <?php echo esc_attr($elate_sidebar_class); ?>">
  <div class="container">
    <div class="row">

      <?php
      if ($elate_sidebar_position === 'sidebar-left' && $elate_sidebar_position !== 'sidebar-hide') {
        get_sidebar(); // Sidebar
      }
      ?>

      <div class="eclt-content-side <?php echo esc_attr($layout_class); ?>">
        <div class="row">

        <?php
        if ( have_posts() ) :
          /* Start the Loop */
          while ( have_posts() ) : the_post();
            get_template_part( 'layouts/post/content' );
          endwhile;
        else :
          get_template_part( 'layouts/post/content', 'none' );
        endif;

        elate_default_paging_nav();
        wp_reset_postdata();  // avoid errors further down the page ?>
        </div><!-- Content Area -->
      </div>

      <?php
      if ($elate_sidebar_position !== 'sidebar-hide') {
        get_sidebar(); // Sidebar
      }
      ?>

    </div>
  </div>
</div>

<?php }
get_footer();