jQuery(document).ready(function($) {
	"use strict";
	/**
	 * Load category tab.
	 */

	ajax_pagenav();

	$('.ajax-filter').on('click', 'a', function(e) {
		e.preventDefault();

		$('.ajax-filter a').removeClass('btn-active');
		$(this).addClass('btn-active');

		var cat 	= $(this).data('cat'),
			limit 	= $(this).data('limit'),
			style 	= $(this).data('style');

		$.ajax({
			type: 'POST',
			dataType: 'html',
			url: elate_admin_url.ajaxurl,
			data: {
				'cat'		: cat,
				'style'  : style,
				'limit'  : limit,
				'action'	: 'elate_casestudies_ajax'
			},
			beforeSend : function () {
				$(".eclt-masonry").append('<div class="products-loading"><div class="ball-pulse-sync"><div></div><div></div><div></div></div></div>');
        $('.eclt-masonry').isotope('reloadItems').isotope();
			},
			success: function (data) {
        $('.eclt-masonry').isotope('reloadItems').isotope();
				$(".casestudies-section .eclt-masonry").html(data);

				$(".case-item").mouseenter(function(){
		      $(this).addClass('eclt-hover');
		    });
		    $(".case-item").mouseleave(function(){
		      $(this).removeClass('eclt-hover');
		    });
		    //Elate Popup Picture Script
			  $('.popup-image').magnificPopup ({
			    delegate: 'a',
			    type: 'image',
			    closeOnContentClick: false,
			    closeBtnInside: false,
			    mainClass: 'mfp-with-zoom mfp-img-mobile',
			    closeMarkup:'<div class="mfp-close" title="%title%"></div>',
			    image: {
			      verticalFit: true,
			      titleSrc: function(item) {
			        return item.el.attr('title') + ' &middot; <a class="image-source-link" href="'+item.el.attr('data-source')+'" target="_blank">image source</a>';
			      }
			    },
			    gallery: {
			      enabled: true,
			      arrowMarkup:'<div title="%title%" class="mfp-arrow mfp-arrow-%dir%"></div>',
			    },
			  });
			  if ($('div').hasClass('popup-image')) {
			    $('.popup-image').find('a').attr("data-elementor-open-lightbox","no");
			  }

		    var $masonryheight = $(".eclt-masonry").height();
	    	$(".eclt-case-data").css('height', $masonryheight);

			  setTimeout(ajax_pagenav, 100);
			  $('div.eclt-pagination').hide();

			},
		});
	});

	function ajax_pagenav() {
		$(".ajax-page-numbers li").on( 'click', 'a', function(e){
			e.preventDefault();

			var page_no = $(this).data("page"),
			cat_slug = $(".ajax-filter a.btn-active").data("cat"),
			limit 	= $(".ajax-filter a.btn-active").data('limit'),
			style 	= $(".ajax-filter a.btn-active").data('style');

			$.ajax({
				type: 'POST',
				dataType: 'html',
				url: elate_admin_url.ajaxurl,
				data: {
					'cat': cat_slug,
					'offset': page_no,
					'style'  : style,
					'limit'  : limit,
					'action': 'elate_more_casestudies_ajax_pagi'
				},
				beforeSend : function () {
        	$('.eclt-masonry').isotope('reloadItems').isotope();
					$(".eclt-masonry").append('<div class="products-loading"><div class="ball-pulse-sync"><div></div><div></div><div></div></div></div>');
				},
				success: function (data) {
        	$('.eclt-masonry').isotope('reloadItems').isotope();
					$(".casestudies-section .eclt-masonry").html(data);
					var $masonryheight = $(".eclt-masonry").height();
	    		$(".eclt-case-data").css('height', $masonryheight);
	    		//Elate Popup Picture Script
				  $('.popup-image').magnificPopup ({
				    delegate: 'a',
				    type: 'image',
				    closeOnContentClick: false,
				    closeBtnInside: false,
				    mainClass: 'mfp-with-zoom mfp-img-mobile',
				    closeMarkup:'<div class="mfp-close" title="%title%"></div>',
				    image: {
				      verticalFit: true,
				      titleSrc: function(item) {
				        return item.el.attr('title') + ' &middot; <a class="image-source-link" href="'+item.el.attr('data-source')+'" target="_blank">image source</a>';
				      }
				    },
				    gallery: {
				      enabled: true,
				      arrowMarkup:'<div title="%title%" class="mfp-arrow mfp-arrow-%dir%"></div>',
				    },
				  });
				  if ($('div').hasClass('popup-image')) {
				    $('.popup-image').find('a').attr("data-elementor-open-lightbox","no");
				  }
				},
				complete: function (data) {
					setTimeout( function(){
						$('.eclt-masonry').isotope('reloadItems').isotope();
						var $masonryheight = $(".eclt-masonry").height();
						$(".eclt-case-data").css('height', $masonryheight);
       		},100);
					// Pagination data link update
        	$('.eclt-masonry').isotope('reloadItems').isotope();
					$(".ajax-page-numbers .last").remove();
					$(".ajax-page-numbers .first").remove();
					$('.ajax-page-numbers a').removeClass('current disabled-click');
					$('.ajax-page-numbers a[data-page = '+ page_no +']').addClass('current disabled-click');
					if (page_no > 1) {
						$(".ajax-page-numbers").prepend('<li class="first update-item"><a class="prev page-numbers" data-page="'+(page_no - 1)+'" href="#"><i class="fa fa-angle-left"></i></a></li>');
					}
					var navcount = $(".ajax-page-numbers > li").not('.update-item').length;
					if (navcount >= (page_no+1)) {
						$(".ajax-page-numbers").append('<li class="last update-item"><a class="next page-numbers" data-page="'+(page_no + 1)+'" href="#"><i class="fa fa-angle-right"></i></a></li>');
					}
					$(".case-item").mouseenter(function(){
			      $(this).addClass('eclt-hover');
			    });
			    $(".case-item").mouseleave(function(){
			      $(this).removeClass('eclt-hover');
			    });

					ajax_pagenav();
					$('div.eclt-pagination').hide();
				}
			});

		});
	}

});