jQuery(document).ready(function($) {
  "use strict";

	// Header Sticky
	$(".eclt-sticky").ElateSticky ({
    topSpacing: 0,
    zIndex: 4
  });

	// Bootstrap Menu Dropdown on Hover
  $('.has-dropdown').on ({
    mouseenter : function() {
      $(this).find('ul.dropdown-nav').first().stop(true, true).fadeIn(300);
    },
    mouseleave : function() {
      $(this).find('ul.dropdown-nav').first().stop(true, true).fadeOut(300);
    }
  });

  $(window).resize(function() {
    if ($(window).width() < 1183) {
      $('.eclt-brand').prependTo('.eclt-navigation-wraper > .container');
    } else {
      $('.eclt-brand').prependTo('.eclt-header > .container');
    }
  });
  $(window).trigger('resize');
   
	// Contact form 7 - Select Field Right Arrow Class
	$(".wpcf7-form-control.wpcf7-select").parent(".wpcf7-form-control-wrap").addClass("wpcf7-select-field");
	$(".wpcf7-form-control.wpcf7-select[multiple]").parent(".wpcf7-form-control-wrap").removeClass("wpcf7-select-field");

	// Search For Header Two
	$('#search-trigger').on('click', function(e) {
  	e.preventDefault();
  	$('.eclt-search-three').parents('.eclt-navigation-wraper').toggleClass('search-active');
  	$('.eclt-search-three input[type="text"]').focus();
  	$('.eclt-search-two').slideToggle();
  	$('.eclt-search-two input[type="text"]').focus();
  	return false;
  });
  $('#search-trigger-two').on('click', function(e) {
  	e.preventDefault();
  	$('html,body').animate({
      scrollTop: 0
    }, 500);

    $('.eclt-search-three').parents('.eclt-navigation-wraper').toggleClass('search-active');
  	$('.eclt-search-three input[type="text"]').focus();
  	$('.eclt-search-two').slideToggle();
  	$('.eclt-search-two input[type="text"]').focus();
  	return false;
  });
  $('.eclt-search-close').on('click', function(e) {
  	e.preventDefault();
  	$('.eclt-search-two').slideUp();
  	$('.eclt-search-three').parents('.eclt-navigation-wraper').removeClass('search-active');
  });

  //Eclt Loader Script
  $(window).load(function() {
    var $grid = $('.eclt-masonry').isotope ({
      itemSelector: '.masonry-item',
      layoutMode: 'packery',
      percentPosition: true,
      isFitWidth: true,
    });
    var filterFns = {
      ium: function() {
        var name = $(this).find('.name').text();
        return name.match(/ium$/);
      }
    };
    $('.bpw-filter.normal-filter').on('click', 'li a', function(e) {
      var filterValue = $(this).attr('data-filter');
      filterValue = filterFns[ filterValue ] || filterValue;
      $grid.isotope({
        filter: filterValue
      });
      e.preventDefault();
    });
    $('.bpw-filter.normal-filter').each(function(i, buttonGroup) {
      var $buttonGroup = $(buttonGroup);
      $buttonGroup.on('click', 'li a', function() {
        $buttonGroup.find('.btn-active').removeClass('btn-active');
        $(this).addClass('btn-active');
      });
    });

      function getId(url){
      var m = url.match(/[\\?\\&]v=([^\\?\\&]+)/);
      var v = url.match(/https:\/\/(www\.)?vimeo.com\/(\d+)($|\/)/);
      var d = url.match(/^.+dailymotion.com\/(video|hub)\/([^_]+)[^#]*(#video=([^_&]+))?/);
      if ( !m && !v && !d) return null;
      if(m) {
        return m[1];
      }
      if(v){
        return v[2];
      }
      if(d){
        return d[2];
      }
    }
    $('.eclt-video-btn').each( function() {
      var $link = $(this);
      var myId;
      var myUrl = $link.attr("data-src");
      myId = getId(myUrl);

      if(myUrl.match(/[\\?\\&]v=([^\\?\\&]+)/)) {
        $($link).attr("data-src", "https://www.youtube.com/embed/"+ myId + "");
      } 
      if(myUrl.match(/https:\/\/(www\.)?vimeo.com\/(\d+)($|\/)/)) {
        $($link).attr("data-src", "https://player.vimeo.com/video/"+ myId + "?title=0&byline=0&portrait=0");
      }
      if(myUrl.match(/^.+dailymotion.com\/(video|hub)\/([^_]+)[^#]*(#video=([^_&]+))?/)) {
        $($link).attr("data-src", "https://iframespot.blogspot.com/ncr/?m=0&type=dv&url=https%3A%2F%2Fwww.dailymotion.com%2Fembed%2Fvideo%2F"+ myId + "%3Fapi%3D0%26autoplay%3D1%26info%3D0%26logo%3D0%26social%3D0%26related%3D0");
      } 
    });

    //Elate Boostrap Video Modal Script
  $('<div class="modal modal-video fade" id="ElateVideoModal"><div class="modal-dialog modal-lg modal-dialog-centered"><div class="modal-content"><div class="modal-body"><div class="embed-responsive embed-responsive-16by9"><iframe class="embed-responsive-item saspot-video-iframe" id="ModalVideoWrap"></iframe></div></div></div></div></div>').appendTo('body');
  var $videoSrc;
  $('[data-target="#ElateVideoModal"]').on('click', function() {
    $videoSrc = $(this).data('src');
  });
  $('#ElateVideoModal').on('shown.bs.modal', function (e) {
    $('#ModalVideoWrap').attr('src',$videoSrc + "?rel=0&amp;showinfo=0&amp;modestbranding=1&amp;autoplay=1");
  });
  $('#ElateVideoModal').on('hide.bs.modal', function (e) {
    $('#ModalVideoWrap').attr('src',$videoSrc);
  });

    // Caspiar Set Equal Height Script
    $('.woocommerce-page ul.products li.product, .woocommerce ul.products li.product').matchHeight ({
      property: 'height'
    });

  }); //window load end



  // Tooltip
  $('[data-toggle="tooltip"]').tooltip();

  // Side Navigation
  $( ".nav-enabled-child .menu-item-has-children > a" ).on('click', function(e) {
  	e.preventDefault();
  	var $this = $(this).parent().addClass('eclt-sidenav-parent');
  	$this.find('.sub-menu').addClass('eclt-sidenav-list');
	  $( ".sub-menu", $this ).slideToggle( "500" );
	  $( $this ).toggleClass( "eclt-active" );
	});
	
	$( ".nav-enabled-child .current-menu-parent > ul.sub-menu" ).addClass('eclt-sidenav-list');

	// WPML Menu Dropdown
  $( ".menu-item-language" ).addClass('dropdown');
  $( ".navbar-nav > li.menu-item-language > a" ).addClass('dropdown-toggle sub-collapser').removeAttr('onclick').attr('data-toggle', 'dropdown');
  $( ".menu-item-language > ul" ).addClass('dropdown-menu');
  $(".navbar-nav > li.menu-item-language > a").attr('id', 'jt-wpml-dropdown').append("<b class='caret'></b>");

	// Page-Navi
	$( ".wp-pagenavi .previouspostslink" ).html( "<i class='fa fa-angle-left'></i>" );
	$( ".wp-pagenavi .nextpostslink" ).html( "<i class='fa fa-angle-right'></i>" );
	$( ".wp-pagenavi .first" ).html( "<i class='fa fa-angle-double-left'></i>" );
	$( ".wp-pagenavi .last" ).html( "<i class='fa fa-angle-double-right'></i>" );

	// WooCommerce
	$( '.shipping-calculator-form' ).show();
	$( '.shipping-calculator-button' ).hide();

	// Responsive Menu
  var $navmenu = $('.eclt-navigation');
  var $menu_starts = ($navmenu.data('nav') !== undefined) ? $navmenu.data('nav') : 1199;
  $('.eclt-navigation').meanmenu({
    meanMenuContainer: '.eclt-header .eclt-header-right',
    meanMenuOpen: '<span></span>',
    meanMenuClose: '<span></span>',
    meanExpand: '<i class="fa fa-angle-down"></i>',
    meanContract: '<i class="fa fa-angle-up"></i>',
    meanScreenWidth: $menu_starts,
  });

	$('.meanmenu-reveal').on('click', function() {
		$('.mean-container').toggleClass('mean-menu-opened');
	});

	// Nice Select
  $('select').niceSelect();
  $('.tribe-bar-views select').niceSelect('destroy');
  $('.woocommerce-Reviews select,.eclt-widget.woocommerce select,.woocommerce select,.variations select').niceSelect('destroy');

	// Casestudies Click
	$('.masonry-item, .eclt-service-two').on('click touchend', function(e) {
		var el = $(this);
		$(el).trigger('hover');
	});

	//Elate Hover Script
  $('.blog-item, .eclt-service, .woocommerce .woo-col-3 .eclt-content-side ul.products li.product, .member-item, .woocommerce .woo-col-4 .eclt-content-side ul.products li.product').hover (
    function() {
      $(this).addClass('eclt-hover');
    },
    function() {
      $(this).removeClass('eclt-hover');
    }
  );

  //Elate Popup Picture Script
  $('.popup-image').magnificPopup ({
    delegate: 'a',
    type: 'image',
    closeOnContentClick: false,
    closeBtnInside: false,
    mainClass: 'mfp-with-zoom mfp-img-mobile',
    closeMarkup:'<div class="mfp-close" title="%title%"></div>',
    image: {
      verticalFit: true,
      titleSrc: function(item) {
        return item.el.attr('title') + ' &middot; <a class="image-source-link" href="'+item.el.attr('data-source')+'" target="_blank">image source</a>';
      }
    },
    gallery: {
      enabled: true,
      arrowMarkup:'<div title="%title%" class="mfp-arrow mfp-arrow-%dir%"></div>',
    },
  });

  $(".error-content.eclt-404 h2").html(function(){
	  var text= $(this).text().trim().split(" ");
	  var first = text.shift();
	  return (text.length > 0 ? "<span class='brand-color'>"+ first + "</span> " : first) + text.join(" ");
	});

	//Elate Back Top Script
  if($('div').hasClass('eclt-back-top')) {
    var backtop = $('.eclt-back-top');
    var position = backtop.offset().top;
    $(window).scroll(function() {
      var windowposition = $(window).scrollTop();
      if(windowposition + $(window).height() == $(document).height()) {
        backtop.removeClass('active');
      }
      else if (windowposition > 150) {
        backtop.addClass('active');
      }
      else {
        backtop.removeClass('active');
      }
    });
    jQuery('.eclt-back-top a').on('click', function () {
      jQuery('body,html').animate ({
        scrollTop: 0
      }, 2000);
      return false;
    });
  }

	//Eclt Counter Script
  $('.eclt-counter').each( function() {
    var $counter = $(this);
    var swiperdelay = $counter.data('delay');
    var swipertime = $counter.data('time');
    $counter.counterUp ({
      delay: swiperdelay,
      time: swipertime,
    });
  });

  //Elate Owl Carousel Slider Script
  $('.owl-carousel').each(function() {
    var $carousel = $(this);
    var $items = ($carousel.data('items') !== undefined) ? $carousel.data('items') : 1;
    var $items_tablet = ($carousel.data('items-tablet') !== undefined) ? $carousel.data('items-tablet') : 1;
    var $items_mobile_landscape = ($carousel.data('items-mobile-landscape') !== undefined) ? $carousel.data('items-mobile-landscape') : 1;
    var $items_mobile_portrait = ($carousel.data('items-mobile-portrait') !== undefined) ? $carousel.data('items-mobile-portrait') : 1;
    $carousel.owlCarousel ({
      loop : ($carousel.data('loop') !== undefined) ? $carousel.data('loop') : true,
      items : $carousel.data('items'),
      margin : ($carousel.data('margin') !== undefined) ? $carousel.data('margin') : 0,
      dots : ($carousel.data('dots') !== undefined) ? $carousel.data('dots') : true,
      nav : ($carousel.data('nav') !== undefined) ? $carousel.data('nav') : false,
      navText : ["<div class='slider-no-current'><span class='current-no'></span><span class='total-no'></span></div><span class='current-monials'></span>", "<div class='slider-no-next'></div><span class='next-monials'></span>"],
      autoplay : ($carousel.data('autoplay') !== undefined) ? $carousel.data('autoplay') : false,
      autoplayTimeout : ($carousel.data('autoplay-timeout') !== undefined) ? $carousel.data('autoplay-timeout') : 5000,
      animateIn : ($carousel.data('animatein') !== undefined) ? $carousel.data('animatein') : false,
      animateOut : ($carousel.data('animateout') !== undefined) ? $carousel.data('animateout') : false,
      mouseDrag : ($carousel.data('mouse-drag') !== undefined) ? $carousel.data('mouse-drag') : true,
      autoWidth : ($carousel.data('auto-width') !== undefined) ? $carousel.data('auto-width') : false,
      autoHeight : ($carousel.data('auto-height') !== undefined) ? $carousel.data('auto-height') : false,
      center : ($carousel.data('center') !== undefined) ? $carousel.data('center') : false,
      responsiveClass: true,
      dotsEachNumber: true,
      smartSpeed: 600,
      responsive : {
        0 : {
          items : $items_mobile_portrait,
        },
        480 : {
          items : $items_mobile_landscape,
        },
        768 : {
          items : $items_tablet,
        },
        1024 : {
          items : $items,
        }
      }
    });
    var totLength = $('.owl-dot', $carousel).length;
    $('.total-no', $carousel).html(totLength);
    $('.current-no', $carousel).html(totLength);
    $carousel.owlCarousel();
    $('.current-no', $carousel).html(1);
    $carousel.on('changed.owl.carousel', function(event) {
      var total_items = event.page.count;
      var currentNum = event.page.index + 1;
      $('.total-no', $carousel ).html(total_items);
      $('.current-no', $carousel).html(currentNum);
    });
  });

  if ($('div').hasClass('popup-image')) {
    $('.popup-image').find('a').attr("data-elementor-open-lightbox","no");
  }

});
