<?php
/*
 * The header for our theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<?php

// if the `wp_site_icon` function does not exist (ie we're on < WP 4.3)
if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
  <link rel="shortcut icon" href="<?php echo esc_url(ELATE_IMAGES); ?>/favicon.png" />
<?php }

$elate_all_element_color  = cs_get_customize_option( 'all_element_colors' );
?>
<meta name="msapplication-TileColor" content="<?php echo esc_attr($elate_all_element_color); ?>">
<meta name="theme-color" content="<?php echo esc_attr($elate_all_element_color); ?>">

<link rel="profile" href="//gmpg.org/xfn/11">

<?php
// Metabox
global $post;
$elate_id    = ( isset( $post ) ) ? $post->ID : false;
$elate_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $elate_id;
$elate_id    = ( elate_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $elate_id;
$elate_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $elate_id : false;
$elate_meta  = get_post_meta( $elate_id, 'page_type_metabox', true );

// Header Style
if ($elate_meta) {
  $elate_header_design  = $elate_meta['select_header_design'];
  $elate_sticky_header  = $elate_meta['sticky_header'];
  $elate_search_icon    = $elate_meta['search_icon'];
} else {
  $elate_header_design  = cs_get_option('select_header_design');
  $elate_sticky_header  = cs_get_option('sticky_header');
  $elate_search_icon    = cs_get_option('search_icon');
}
if ($elate_header_design === 'default') {
  $elate_header_design_actual  = cs_get_option('select_header_design');
} else {
  $elate_header_design_actual = ( $elate_header_design ) ? $elate_header_design : cs_get_option('select_header_design');
}
if ($elate_meta && $elate_header_design !== 'default') {
  $elate_sticky_header  = $elate_meta['sticky_header'];
  $elate_search_icon    = $elate_meta['search_icon'];
} else {
  $elate_sticky_header  = cs_get_option('sticky_header');
  $elate_search_icon    = cs_get_option('search_icon');
}
if ($elate_header_design_actual === 'style_two') {
  $elate_header_class = ' eclt-header-two ';
  $elate_sticky_header_class = '';
} else {
  $elate_sticky_header_class = $elate_sticky_header ? ' eclt-sticky' : '';
  $elate_header_class = ' eclt-header-one ';
}

// Header Transparent
if ($elate_meta) {
  // Shortcode Banner Type
  $elate_banner_type = ' '. $elate_meta['banner_type'];
} else { $elate_banner_type = ''; }

wp_head();
// Dynamic styles include
do_action('elate-dynamic-styles');
?>
</head>
<body <?php echo body_class(); ?>>

  <div class="eclt-main-wrap">
    <div id="main-wrap-inner">

      <!-- Search Bar - Trigger -->
      <?php if ($elate_header_design_actual !== 'style_two') {
        if($elate_search_icon) { ?>
        <div class="eclt-search-two">
          <div class="container">
          <div class="row">
            <form method="get" action="<?php echo esc_url(home_url('/')); ?>" class="searchform" >
              <input type="text" name="s" id="s" placeholder="<?php esc_attr_e( 'Search Here...', 'elate' ); ?>" />
            </form>
            <span class="eclt-search-close"></span>
          </div>
          </div>
        </div>
      <?php } }

      // Topbar
      get_template_part( 'layouts/header/top', 'bar' );

      if ($elate_meta) {
        $elate_hide_header = $elate_meta['hide_header'];
      } else { $elate_hide_header = ''; }

      // Header Style
      if ($elate_meta && $elate_header_design !== 'default') {
        $elate_address_info  = $elate_meta['header_address_info'];
      } else {
        $elate_address_info  = cs_get_option('header_address_info');
      }

      if (!$elate_hide_header) { ?>
      <!-- Header -->
      <header class="eclt-header<?php echo esc_attr($elate_header_class . $elate_sticky_header_class); ?>">

        <div class="container">
          <?php
          // Brand Logo
          get_template_part( 'layouts/header/logo' );
          if ($elate_header_design_actual === 'style_two') { ?>
            <div class="header-brand-info"><?php echo do_shortcode($elate_address_info); ?></div>
          <?php } else { ?>
            <div class="eclt-header-right"><?php get_template_part( 'layouts/header/menu', 'bar' ); ?></div>
          <?php } ?>
        </div> <!-- Container -->
        <?php
          // Navigation
          if ($elate_header_design_actual === 'style_two') {
            get_template_part( 'layouts/header/menu', 'bar' );
          }
        ?>
      </header>
  <?php } // Hide Header - Metabox

  // Title Area
  $elate_need_title_bar = cs_get_option('need_title_bar');
  if ($elate_need_title_bar || !is_404()) { // ElateWP
    get_template_part( 'layouts/header/title', 'bar' );
  }
  // Breadcrumbs
  $elate_need_breadcrumbs = cs_get_option('need_breadcrumbs');
  if ($elate_need_breadcrumbs) { // ElateWP
    get_template_part( 'layouts/header/breadcrumbs', 'bar' );
  }
