<?php
/*
 * All CSS and JS files are enqueued from this file
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

/**
 * Enqueue Files for FrontEnd
 */
if ( ! function_exists( 'elate_vt_scripts_styles' ) ) {
  function elate_vt_scripts_styles() {

    // Styles
    wp_enqueue_style( 'elate-google-font', '//fonts.googleapis.com/css?family=Open+Sans:400,600,700|Nunito+Sans:400,600,700' );
    wp_enqueue_style( 'font-awesome', ELATE_CSS . '/font-awesome.min.css', array(), '4.7.0', 'all' );
    wp_enqueue_style( 'bootstrap', ELATE_CSS .'/bootstrap.min.css', array(), '4.1.3', 'all' );
    wp_enqueue_style( 'magnific-popup', ELATE_CSS .'/magnific-popup.min.css', array(), ELATE_VERSION, 'all' );
    wp_enqueue_style( 'loaders', ELATE_CSS .'/loaders.min.css', array(), ELATE_VERSION, 'all' );
    wp_enqueue_style( 'meanmenu', ELATE_CSS .'/meanmenu.min.css', array(), '2.0.7', 'all' );
    wp_enqueue_style( 'simple-line-icons', ELATE_CSS .'/simple-line-icons.css', array(), ELATE_VERSION, 'all' );
    wp_enqueue_style( 'owl-carousel', ELATE_CSS .'/owl.carousel.css', array(), '2.2.1', 'all' );
    wp_enqueue_style( 'animate', ELATE_CSS .'/animate.min.css', array(), '3.6.0', 'all' );
    wp_enqueue_style( 'nice-select', ELATE_CSS .'/nice-select.min.css', array(), ELATE_VERSION, 'all' );
    wp_enqueue_style( 'elate-style', ELATE_CSS .'/styles.css', array(), ELATE_VERSION, 'all' );

    // Scripts
    wp_enqueue_script( 'popper', ELATE_SCRIPTS . '/popper.min.js', array( 'jquery' ), ELATE_VERSION, true );
    wp_enqueue_script( 'jquery-matchheight', ELATE_SCRIPTS . '/jquery.matchHeight-min.js', array( 'jquery' ), '0.7.2', true );
    wp_enqueue_script( 'bootstrap', ELATE_SCRIPTS . '/bootstrap.min.js', array( 'jquery' ), '4.1.3', true );
    wp_enqueue_script( 'sticky', ELATE_SCRIPTS . '/jquery.sticky.min.js', array( 'jquery' ), '1.0.4', true );
    wp_enqueue_script( 'nice-select', ELATE_SCRIPTS . '/jquery.nice-select.min.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'waypoints', ELATE_SCRIPTS . '/waypoints.min.js', array( 'jquery' ), '2.0.3', true );
    wp_enqueue_script( 'owl-carousel', ELATE_SCRIPTS . '/owl.carousel.min.js', array( 'jquery' ), '2.1.6', true );
    wp_enqueue_script( 'isotope', ELATE_SCRIPTS . '/isotope.min.js', array( 'jquery' ), '3.0.1', true );
    wp_enqueue_script( 'packery-mode', ELATE_SCRIPTS . '/packery-mode.pkgd.min.js', array( 'jquery' ), '2.0.0', true );
    wp_enqueue_script( 'counterup', ELATE_SCRIPTS . '/jquery.counterup.min.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'magnific-popup', ELATE_SCRIPTS . '/jquery.magnific-popup.min.js', array( 'jquery' ), '1.1.0', true );
    wp_enqueue_script( 'loaders', ELATE_SCRIPTS . '/loaders.min.js', array( 'jquery' ), ELATE_VERSION, true );
    wp_enqueue_script( 'swiper', ELATE_SCRIPTS . '/swiper.min.js', array( 'jquery' ), '5.3.6', true );
    wp_enqueue_script( 'meanmenu', ELATE_SCRIPTS . '/jquery.meanmenu.js', array( 'jquery' ), '2.0.8', true );
    wp_enqueue_script( 'elate-scripts', ELATE_SCRIPTS . '/scripts.js', array( 'jquery' ), ELATE_VERSION, true );

    // Comments
    wp_enqueue_script( 'elate-validate-js', ELATE_SCRIPTS . '/jquery.validate.min.js', array( 'jquery' ), '1.9.0', true );
    wp_add_inline_script( 'elate-validate-js', 'jQuery(document).ready(function($) {$("#commentform").validate({rules: {author: {required: true,minlength: 2},email: {required: true,email: true},comment: {required: true,minlength: 10}}});});' );

    // Responsive Active
    wp_enqueue_style( 'elate-responsive', ELATE_CSS .'/responsive.css', array(), ELATE_VERSION, 'all' );

    // WooCommerce
    if (class_exists( 'WooCommerce' )){
      wp_enqueue_style( 'elate-woocommerce-layout', ELATE_THEMEROOT_URI . '/inc/plugins/woocommerce/woocommerce-layout.css', null, 1.0, 'all' );
      wp_enqueue_style( 'elate-woocommerce', ELATE_THEMEROOT_URI . '/inc/plugins/woocommerce/woocommerce.css', null, 1.0, 'all' );
    }

    // Adds support for pages with threaded comments
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }

  }
  add_action( 'wp_enqueue_scripts', 'elate_vt_scripts_styles' );
}

/**
 * Enqueue Files for BackEnd
 */
if ( ! function_exists( 'elate_vt_admin_scripts_styles' ) ) {
  function elate_vt_admin_scripts_styles() {

    wp_enqueue_style( 'elate-admin-main', ELATE_CSS . '/admin-styles.css', true );
    wp_enqueue_script( 'elate-admin-scripts', ELATE_SCRIPTS . '/admin-scripts.js', true );
    wp_enqueue_style( 'simple-line-icons', ELATE_CSS .'/simple-line-icons.css', array(), ELATE_VERSION, 'all' );

  }
  add_action( 'admin_enqueue_scripts', 'elate_vt_admin_scripts_styles' );
}

/* Enqueue All Styles */
if ( ! function_exists( 'elate_vt_wp_enqueue_styles' ) ) {
  function elate_vt_wp_enqueue_styles() {
    elate_vt_google_fonts();
    add_action( 'wp_head', 'elate_vt_custom_css', 99 );
  }
  add_action( 'wp_enqueue_scripts', 'elate_vt_wp_enqueue_styles' );
}

/**
 * Apply theme's stylesheet to the visual editor.
 *
 * @uses add_editor_style() Links a stylesheet to visual editor
 * @uses get_stylesheet_uri() Returns URI of theme stylesheet
 */
function elate_add_editor_styles() {
  add_editor_style( get_stylesheet_uri() );
}
add_action( 'init', 'elate_add_editor_styles' );