<?php
/*
 * All customizer related options for Elate theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

if( ! function_exists( 'elate_vt_customizer' ) ) {
  function elate_vt_customizer( $options ) {

	$options        = array(); // remove old options

	// Primary Color
	$options[]      = array(
	  'name'        => 'elemets_color_section',
	  'title'       => esc_html__('Primary Color', 'elate'),
	  'settings'    => array(

	    // Fields Start
			array(
				'name'      => 'all_element_colors',
				'default'   => '#002e5b',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Elements Color', 'elate'),
				'description'    => esc_html__('This is theme primary color, means it\'ll affect all elements that have default color of our theme primary color.', 'elate'),
				),
			),
	    // Fields End

	  )
	);
	// Primary Color

	// Topbar Color
	$options[]      = array(
	  'name'        => 'topbar_color_section',
	  'title'       => esc_html__('01. Topbar Colors', 'elate'),
	  'settings'    => array(

	    // Fields Start
	    array(
				'name'          => 'topbar_bg_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Bar Color', 'elate'),
					),
				),
			),
			array(
				'name'      => 'topbar_bg_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Background Color', 'elate'),
				),
			),
			array(
				'name'      => 'topbar_border_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Border Color', 'elate'),
				),
			),
			array(
				'name'          => 'topbar_text_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Common Color', 'elate'),
					),
				),
			),
			array(
				'name'      => 'topbar_text_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Text Color', 'elate'),
				),
			),
			array(
				'name'      => 'topbar_link_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Link Color', 'elate'),
				),
			),
			array(
				'name'      => 'topbar_link_hover_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Link Hover Color', 'elate'),
				),
			),
			array(
				'name'          => 'topbar_social_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Social Icon Color', 'elate'),
					),
				),
			),
			array(
				'name'      => 'topbar_social_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Social Icon Color', 'elate'),
				),
			),
			array(
				'name'      => 'topbar_social_hover_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Social Icons Hover Color', 'elate'),
				),
			),
	    // Fields End

	  )
	);
	// Topbar Color

	// Header Color
	$options[]      = array(
	  'name'        => 'header_color_section',
	  'title'       => esc_html__('02. Header Colors', 'elate'),
	  'sections'    => array(

	  	array(
	      'name'          => 'header_style_one',
	      'title'         => esc_html__('Header Style One', 'elate'),
	      'settings'      => array(
	    // Fields Start
			array(
				'name'          => 'header_main_menu_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Main Menu Colors', 'elate'),
					),
				),
			),
			array(
				'name'      => 'header_bg_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Background Color', 'elate'),
				),
			),
			array(
				'name'      => 'header_link_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Link Color', 'elate'),
				),
			),
			array(
				'name'      => 'header_link_hover_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Link Hover Color', 'elate'),
				),
			),

		)
	    ),


	  array(
	      'name'          => 'header_style_two',
	      'title'         => esc_html__('Header Style Two', 'elate'),
	      'settings'      => array(
	    // Fields Start
			array(
				'name'          => 'header_main_menu_heading_two',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Main Menu Colors', 'elate'),
					),
				),
			),
			array(
				'name'      => 'header_bg_color_two',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Header Background Color', 'elate'),
				),
			),
			array(
				'name'      => 'header_bg_menu_bg',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Menu Bar Background Color', 'elate'),
				),
			),
			array(
				'name'      => 'header_link_color_two',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Link Color', 'elate'),
				),
			),
			array(
				'name'      => 'header_link_hover_color_two',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Link Hover Color', 'elate'),
				),
			),
			array(
				'name'      => 'header_text_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Text Color', 'elate'),
				),
			),
			array(
				'name'      => 'header_icon_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Icon Color', 'elate'),
				),
			),

		)
	    ),  

		array(
	      'name'          => 'sub_menu_section',
	      'title'         => esc_html__('Sub Menu Style', 'elate'),
	      'settings'      => array(
			// Sub Menu Color
			array(
				'name'          => 'header_submenu_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Sub-Menu Colors', 'elate'),
					),
				),
			),
			array(
				'name'      => 'submenu_bg_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Background Color', 'elate'),
				),
			),
			array(
				'name'      => 'submenu_border_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Border Color', 'elate'),
				),
			),
			array(
				'name'      => 'submenu_link_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Link Color', 'elate'),
				),
			),
			array(
				'name'      => 'submenu_link_hover_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Link Hover Color', 'elate'),
				),
			),
	    // Fields End


		)
	   ),

		 array(
	      'name'          => 'mobile_menu_section',
	      'title'         => esc_html__('Mobile Menu', 'havnor'),
	      'settings'      => array(
	      	array(
						'name'          => 'mobile_menu_heading',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Mobile Menu Colors', 'havnor'),
							),
						),
					),
					array(
						'name'      => 'mobile_menu_toggle_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Menu Toggle Color', 'havnor'),
						),
					),
					array(
						'name'      => 'toggle_border_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Hamburger Menu Border Color', 'havnor'),
						),
					),
					array(
						'name'      => 'mobile_menu_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Color', 'havnor'),
						),
					),
					array(
						'name'      => 'mobile_menu_bg_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Background Hover Color', 'havnor'),
						),
					),
					array(
						'name'      => 'mobile_menu_link_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Color', 'havnor'),
						),
					),
					array(
						'name'      => 'mobile_menu_link_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Link Hover Color', 'havnor'),
						),
					),
					array(
						'name'      => 'mobile_menu_border_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Border Color', 'havnor'),
						),
					),
					array(
						'name'      => 'mobile_menu_expand_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Menu Expand Color', 'havnor'),
						),
					),
					array(
						'name'      => 'mobile_menu_expand_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Menu Expand Hover Color', 'havnor'),
						),
					),
					array(
						'name'      => 'mobile_menu_expand_bg_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Menu Expand Background Color', 'havnor'),
						),
					),
					array(
						'name'      => 'mobile_menu_expand_bg_hover_color',
						'control'   => array(
							'type'  => 'color',
							'label' => esc_html__('Menu Expand Background Hover Color', 'havnor'),
						),
					),
				)
      ),

	  )
	);
	// Header Color

	// Title Bar Color
	$options[]      = array(
	  'name'        => 'titlebar_section',
	  'title'       => esc_html__('03. Title Bar Colors', 'elate'),
    'settings'      => array(

    	// Fields Start
    	array(
				'name'          => 'titlebar_colors_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Title Colors, This is common settings, if this settings not affect in your page. Please check your page metabox. You may set default settings there.', 'elate'),
					),
				),
			),
    	array(
				'name'      => 'titlebar_title_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Title Color', 'elate'),
				),
			),

			array(
				'name'          => 'titlebar_breadcrumbs_heading',
				'control'       => array(
					'type'        => 'cs_field',
					'options'     => array(
						'type'      => 'notice',
						'class'     => 'info',
						'content'   => esc_html__('Breadcrumbs Colors', 'elate'),
					),
				),
			),
    	array(
				'name'      => 'breadcrumbs_text_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Text Color', 'elate'),
				),
			),
			array(
				'name'      => 'breadcrumbs_link_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Link Color', 'elate'),
				),
			),
			array(
				'name'      => 'breadcrumbs_link_hover_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Link Hover Color', 'elate'),
				),
			),
			array(
				'name'      => 'breadcrumbs_bg_color',
				'control'   => array(
				'type'  => 'color',
				'label' => esc_html__('Background Color', 'elate'),
				),
			),
	    // Fields End

	  )
	);
	// Title Bar Color

	// Content Color
	$options[]      = array(
	  'name'        => 'content_section',
	  'title'       => esc_html__('04. Content Colors', 'elate'),
	  'description' => esc_html__('This is all about content area text and heading colors.', 'elate'),
	  'sections'    => array(

	  	array(
	      'name'          => 'content_text_section',
	      'title'         => esc_html__('Content Text', 'elate'),
	      'settings'      => array(

			    // Fields Start
			    array(
						'name'      => 'body_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Body & Content Color', 'elate'),
						),
					),
					array(
						'name'      => 'body_links_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Body Links Color', 'elate'),
						),
					),
					array(
						'name'      => 'body_link_hover_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Body Links Hover Color', 'elate'),
						),
					),
					array(
						'name'          => 'sidebar_section_style',
						'control'       => array(
							'type'        => 'cs_field',
							'options'     => array(
								'type'      => 'notice',
								'class'     => 'info',
								'content'   => esc_html__('Side Bar Colors', 'elate'),
							),
						),
					),
					array(
						'name'      => 'sidebar_content_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Sidebar Content Color', 'elate'),
						),
					),
					array(
						'name'      => 'sidebar_link_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Sidebar Link Color', 'elate'),
						),
					),
					array(
						'name'      => 'sidebar_link_hover_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Sidebar Link Hover Color', 'elate'),
						),
					),
			    // Fields End
			  )
			),

			// Text Colors Section
			array(
	      'name'          => 'content_heading_section',
	      'title'         => esc_html__('Headings', 'elate'),
	      'settings'      => array(

	      	// Fields Start
					array(
						'name'      => 'content_heading_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Content Heading Color', 'elate'),
						),
					),
	      	array(
						'name'      => 'sidebar_heading_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Sidebar Heading Color', 'elate'),
						),
					),
			    // Fields End

      	)
      ),

	  )
	);
	// Content Color

	// Footer Color
	$options[]      = array(
	  'name'        => 'footer_section',
	  'title'       => esc_html__('05. Footer Colors', 'elate'),
	  'description' => esc_html__('This is all about footer settings. Make sure you\'ve enabled your needed section at : Elate > Theme Options > Footer ', 'elate'),
	  'sections'    => array(

			// Footer Widgets Block
	  	array(
	      'name'          => 'footer_widget_section',
	      'title'         => esc_html__('Widget Block', 'elate'),
	      'settings'      => array(

			    // Fields Start
					array(
			      'name'          => 'footer_widget_color_notice',
			      'control'       => array(
			        'type'        => 'cs_field',
			        'options'     => array(
			          'type'      => 'notice',
			          'class'     => 'info',
			          'content'   => esc_html__('Content Colors', 'elate'),
			        ),
			      ),
			    ),
					array(
						'name'      => 'footer_heading_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Widget Heading Color', 'elate'),
						),
					),
					array(
						'name'      => 'footer_text_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Widget Text Color', 'elate'),
						),
					),
					array(
						'name'      => 'footer_link_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Widget Link Color', 'elate'),
						),
					),
					array(
						'name'      => 'footer_link_hover_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Widget Link Hover Color', 'elate'),
						),
					),
					array(
						'name'      => 'footer_bg_color',
						'default'   => '#222327',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Background Color', 'elate'),
						),
					),
			    // Fields End
			  )
			),
			// Footer Widgets Block

			// Footer Copyright Block
	  	array(
	      'name'          => 'footer_copyright_section',
	      'title'         => esc_html__('Copyright Block', 'elate'),
	      'settings'      => array(

			    // Fields Start
			    array(
			      'name'          => 'footer_copyright_active',
			      'control'       => array(
			        'type'        => 'cs_field',
			        'options'     => array(
			          'type'      => 'notice',
			          'class'     => 'info',
			          'content'   => esc_html__('Make sure you\'ve enabled copyright block in : <br /> <strong>Elate > Theme Options > Footer > Copyright Bar : Enable Copyright Block</strong>', 'elate'),
			        ),
			      ),
			    ),
					array(
						'name'      => 'copyright_text_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Text Color', 'elate'),
						),
					),
					array(
						'name'      => 'copyright_link_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Link Color', 'elate'),
						),
					),
					array(
						'name'      => 'copyright_link_hover_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Link Hover Color', 'elate'),
						),
					),
					array(
						'name'      => 'copyright_bg_color',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Background Color', 'elate'),
						),
					),
					array(
						'name'      => 'copyright_border_color',
						'default'   => 'rgba(0,0,0,0.2)',
						'control'   => array(
						'type'  => 'color',
						'label' => esc_html__('Border Color', 'elate'),
						),
					),

			  )
			),
			// Footer Copyright Block

	  )
	);
	// Footer Color

	return $options;

  }
  add_filter( 'cs_customize_options', 'elate_vt_customizer' );
}