<?php
/*
 * The main template file.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$elate_id    = ( isset( $post ) ) ? $post->ID : 0;
$elate_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $elate_id;
$elate_id    = ( elate_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $elate_id;
$elate_meta  = get_post_meta( $elate_id, 'page_type_metabox', true );

if ($elate_meta) {
	$elate_content_padding = $elate_meta['content_spacings'];
} else { $elate_content_padding = ''; }
// Padding - Metabox
if ($elate_content_padding && $elate_content_padding !== 'padding-none') {
	$elate_content_top_spacings = $elate_meta['content_top_spacings'];
	$elate_content_bottom_spacings = $elate_meta['content_bottom_spacings'];
	if ($elate_content_padding === 'padding-custom') {
		$elate_content_top_spacings = $elate_content_top_spacings ? 'padding-top:'. elate_check_px($elate_content_top_spacings) .';' : '';
		$elate_content_bottom_spacings = $elate_content_bottom_spacings ? 'padding-bottom:'. elate_check_px($elate_content_bottom_spacings) .';' : '';
		$elate_custom_padding = $elate_content_top_spacings . $elate_content_bottom_spacings;
	} else {
		$elate_custom_padding = '';
	}
} else {
	$elate_custom_padding = '';
}

// Theme Options
$elate_blog_style = cs_get_option('blog_listing_style');
$elate_blog_columns = cs_get_option('blog_listing_columns');
$elate_sidebar_position = cs_get_option('blog_sidebar_position');
$elate_blog_widget = cs_get_option('blog_widget');

// Columns
if ($elate_blog_style === 'style-two') {
	$elate_blog_columns = $elate_blog_columns ? $elate_blog_columns : 'eclt-blog-col-2';
} elseif ($elate_blog_style === 'style-three') {
	$elate_blog_columns = $elate_blog_columns ? $elate_blog_columns : 'eclt-blog-col-2';
} else {
	$elate_blog_columns = 'eclt-blog-col-1';
}

// Style
if ($elate_blog_style === 'style-two') {
	$elate_blog_style = ' eclt-blog-one ';
} elseif ($elate_blog_style === 'style-three') {
	$elate_blog_style = ' eclt-blog-one eclt-blog-two ';
} else {
	$elate_blog_style = ' eclt-blog-one eclt-blog-list ';
}

if ($elate_blog_widget) {
	$widget_select = $elate_blog_widget;
} else {
	if (is_active_sidebar('sidebar-1')) {
		$widget_select = 'sidebar-1';
	} else {
		$widget_select = '';
	}
}

// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
	if ($elate_sidebar_position === 'sidebar-hide') {
		$layout_class = 'col-md-12';
		$elate_sidebar_class = 'hide-sidebar';
	} elseif ($elate_sidebar_position === 'sidebar-left') {
		$layout_class = 'col-md-9';
		$elate_sidebar_class = 'eclt-left-sidebar';
	} else {
		$layout_class = 'col-md-9';
		$elate_sidebar_class = 'eclt-right-sidebar';
	}
} else {
	$elate_sidebar_position = 'sidebar-hide';
	$layout_class = 'col-md-12';
	$elate_sidebar_class = 'eclt-hide-sidebar';
}
?>

<div class="eclt-mid-wrap eclt-blog-listing <?php echo esc_attr($elate_content_padding .' '. $elate_sidebar_class); ?>" style="<?php echo esc_attr($elate_custom_padding); ?>">
	<div class="container">
		<div class="row">

			<?php
			if ($elate_sidebar_position === 'sidebar-left' && $elate_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			}
			?>

			<div class="eclt-content-side <?php echo esc_attr($layout_class); ?>">
				<div class="row">

				<?php
				if ( have_posts() ) :
					/* Start the Loop */
					while ( have_posts() ) : the_post();
						get_template_part( 'layouts/post/content' );
					endwhile;
				else :
					get_template_part( 'layouts/post/content', 'none' );
				endif;

				elate_default_paging_nav();
				wp_reset_postdata();  // avoid errors further down the page ?>
				</div><!-- Content Area -->
			</div>

			<?php
			if ($elate_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			}
			?>

		</div>
	</div>
</div>

<?php
get_footer();