<?php
/**
 * Single Post.
 */
$elate_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$elate_large_image = $elate_large_image[0];

$elate_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$elate_blog_style = cs_get_option('blog_listing_style');

// Single Theme Option
$elate_single_author_info = cs_get_option('single_author_info');
$elate_single_share_option = cs_get_option('single_share_option');
?>

<div id="post-<?php the_ID(); ?>" <?php post_class('eclt-blog-post'); ?>>

	<?php
		if ( 'gallery' == get_post_format() && ! empty( $elate_post_type['gallery_post_format'] ) ) { ?>
			<div class="featured-image rounded-three owl-carousel"
			data-nav="true"
			data-autoplay="true"
			data-auto-height="true"
			data-dots="true">
				<?php
			  $elate_ids = explode( ',', $elate_post_type['gallery_post_format'] );
			  foreach ( $elate_ids as $id ) {
			    $elate_attachment = wp_get_attachment_image_src( $id, 'full' );
			    $elate_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
			    echo '<img src="'. esc_url($elate_attachment[0]) .'" alt="'. the_title_attribute() .'" />';
			  }
				?>
			</div>
		<?php
		} else {
		if ($elate_large_image) { ?>
		<div class="featured-image rounded-three">
			<img src="<?php echo esc_url($elate_large_image); ?>" alt="<?php the_title_attribute(); ?>">
		</div>
	<?php } } ?>

	<!-- Content -->
	<div class="bp-content">
		<?php echo elate_post_metas();
		the_content();
		echo elate_wp_link_pages();
		?>
	</div>
	<!-- Content -->

	<!-- Tags and Share -->
	<div class="bp-bottom-meta eclt-single-postmeta">
		<?php if ( function_exists( 'elate_wp_share_option' ) ) { ?>
		<div class="bp-share pull-right">
			<?php
			if($elate_single_share_option) {
				echo elate_wp_share_option();
			}
			?>
		</div>
		<?php }
		$tag_list = get_the_tags();
	  if($tag_list) { ?>
		<div class="bp-tags">
			<?php echo the_tags( '<ul><li>', '</li><li>', '</li></ul>' ); ?>
		</div>
		<?php } ?>
	</div>
	<!-- Tags and Share -->
	<div class="eclt-blog-posts">
		<?php $next_post = get_adjacent_post(false, '', false);
			if(!empty($next_post)) {
			echo '<div class="pull-left"><a href="' . esc_url(get_permalink($next_post->ID)) . '" title="' . esc_attr($next_post->post_title) . '"><i class="fa fa-angle-left" aria-hidden="true"></i> '. get_the_title( $next_post->ID ) .'</a></div>'; } ?>
		<?php $prev_post = get_adjacent_post(false, '', true);
			if(!empty($prev_post)) {
			echo '<div class="pull-right"><a href="' . esc_url(get_permalink($prev_post->ID)) . '" title="' . esc_attr($prev_post->post_title) . '">'. get_the_title( $prev_post->ID ) .' <i class="fa fa-angle-right" aria-hidden="true"></i></a></div>'; } ?>
  </div>
	<!-- Author Info -->
	<?php
	if($elate_single_author_info) {
		echo elate_author_info();
	}
	?>
	<!-- Author Info -->

</div><!-- #post-## -->