<?php
/**
 * Template part for displaying posts.
 */
$elate_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$elate_large_image = $elate_large_image[0];

$elate_read_more_text = cs_get_option('read_more_text');
$elate_read_text = $elate_read_more_text ? $elate_read_more_text : esc_html__( 'Read More', 'elate' );
$elate_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$elate_blog_style = cs_get_option('blog_listing_style');
$elate_metas_hide = (array) cs_get_option( 'theme_metas_hide' );

// Theme Options
$elate_blog_style = cs_get_option('blog_listing_style');
$elate_blog_columns = cs_get_option('blog_listing_columns');

// Columns
if ($elate_blog_style === 'style-two') {
	$elate_blog_columns = $elate_blog_columns ? $elate_blog_columns : 'col-md-4 col-sm-6 col-xs-12';
} elseif ($elate_blog_style === 'style-three') {
	$elate_blog_columns = $elate_blog_columns ? $elate_blog_columns : 'col-md-4 col-sm-6 col-xs-12';
} else {
	$elate_blog_columns = 'col-md-12';
}

// Style
if ($elate_blog_style === 'style-two') {
	$elate_blog_style = ' eclt-blog-one ';
} elseif ($elate_blog_style === 'style-three') {
	$elate_blog_style = ' eclt-blog-one eclt-blog-two ';
} else {
	$elate_blog_style = ' eclt-blog-one eclt-blog-list ';
}
?>
<div class="blog-item <?php echo esc_attr($elate_blog_style) .' '. esc_attr($elate_blog_columns); ?>">
<?php if(is_sticky()){
  $sticky_class = ' sticky';
} else {
  $sticky_class = '';
} ?>
<div id="post-<?php the_ID(); ?>" <?php post_class('eclt-blog-post '.$sticky_class.''); ?>>

	<?php
	if ( 'gallery' == get_post_format() && ! empty( $elate_post_type['gallery_post_format'] ) ) { ?>
		<div class="featured-image rounded-three owl-carousel"
		data-nav="true"
		data-autoplay="true"
		data-auto-height="true"
		data-dots="true">
			<?php
		  $elate_ids = explode( ',', $elate_post_type['gallery_post_format'] );
		  foreach ( $elate_ids as $id ) {
		    $elate_attachment = wp_get_attachment_image_src( $id, 'full' );
		    $elate_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
		    echo '<img src="'. esc_url($elate_attachment[0]) .'" alt="'. the_title_attribute() .'" />';
		  }
			?>
		</div>
	<?php
	} elseif ($elate_large_image) { ?>
	<div class="featured-image rounded-three eclt-image">
		<a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($elate_large_image); ?>" alt="<?php the_title_attribute(); ?>"></a>
	</div>
	<?php } // Featured Image ?>

	<!-- Content -->
	<div class="bp-content">
		<?php echo elate_post_metas(); ?>
		<h2 class="bp-heading"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h2>
		<?php if ($elate_blog_style !== 'style-three') { ?>
			<p><?php
			$blog_excerpt = cs_get_option('theme_blog_excerpt');
			if ($blog_excerpt) {
				$blog_excerpt = $blog_excerpt;
			} else {
				$blog_excerpt = '55';
			}
			elate_excerpt($blog_excerpt);
			echo elate_wp_link_pages();
			?></p>
			<a href="<?php echo esc_url( get_permalink() ); ?>" class="bp-read-more">
				<?php echo esc_html($elate_read_text); ?>
			</a>
		<?php
		} // if not blog style three
		if ( !in_array( 'comments', $elate_metas_hide ) && $elate_blog_style !== 'style-three') { // Comments Hide ?>
		<div class="bp-bottom-comments">
			<?php
			if ($elate_blog_style === 'style-two') {
				comments_popup_link( __( '<i class="icon-speech"></i><span>0</span>', 'elate' ), __( '<i class="icon-speech"></i><span>1</span>', 'elate' ), __( '<i class="icon-speech"></i><span>%</span>', 'elate' ), '', '' );
			} else {
				comments_popup_link( __( '<i class="icon-speech"></i><span>No Comments</span>', 'elate' ), __( '<i class="icon-speech"></i><span>One Comment</span>', 'elate' ), __( '<i class="icon-speech"></i><span>% Comments</span>', 'elate' ), '', '' );
			}
			?>
		</div>
		<?php } // Comments Hide ?>
	</div>
	<!-- Content -->

</div><!-- #post-## -->
</div><!-- #post-item-## -->
