<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

// Metabox
$elate_id    = ( isset( $post ) ) ? $post->ID : 0;
$elate_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $elate_id;
$elate_id    = ( elate_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $elate_id;
$elate_meta  = get_post_meta( $elate_id, 'page_type_metabox', true );

if ($elate_meta) {
	$elate_content_padding = $elate_meta['content_spacings'];
} else { $elate_content_padding = ''; }
// Padding - Metabox
if ($elate_content_padding && $elate_content_padding !== 'padding-none') {
	$elate_content_top_spacings = $elate_meta['content_top_spacings'];
	$elate_content_bottom_spacings = $elate_meta['content_bottom_spacings'];
	if ($elate_content_padding === 'padding-custom') {
		$elate_content_top_spacings = $elate_content_top_spacings ? 'padding-top:'. elate_check_px($elate_content_top_spacings) .';' : '';
		$elate_content_bottom_spacings = $elate_content_bottom_spacings ? 'padding-bottom:'. elate_check_px($elate_content_bottom_spacings) .';' : '';
		$elate_custom_padding = $elate_content_top_spacings . $elate_content_bottom_spacings;
	} else {
		$elate_custom_padding = '';
	}
} else {
	$elate_custom_padding = '';
}

// Page Layout Options
$elate_page_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );
if ($elate_page_layout) {

	$elate_page_layout = $elate_page_layout['page_layout'];

	if ($elate_page_layout === 'extra-width') {
		$elate_column_class = 'extra-width';
		$elate_layout_class = 'container-fluid';
	} elseif($elate_page_layout === 'left-sidebar' || $elate_page_layout === 'right-sidebar') {
		$elate_column_class = 'col-md-9';
		$elate_layout_class = 'container';
	} else {
		$elate_column_class = 'col-md-12';
		$elate_layout_class = 'container';
	}

	// Page Layout Class
	if ($elate_page_layout === 'left-sidebar') {
		$elate_sidebar_class = 'eclt-left-sidebar';
	} elseif ($elate_page_layout === 'right-sidebar') {
		$elate_sidebar_class = 'eclt-right-sidebar';
	} elseif ($elate_page_layout === 'extra-width') {
		$elate_sidebar_class = 'eclt-extra-width';
	} else {
		$elate_sidebar_class = 'eclt-full-width';
	}
} else {
	$elate_column_class = 'col-md-12';
	$elate_layout_class = 'container';
	$elate_sidebar_class = 'eclt-full-width';
}

get_header(); ?>

<div class="<?php echo esc_attr($elate_content_padding .' '. $elate_sidebar_class); ?> eclt-mid-wrap" style="<?php echo esc_attr($elate_custom_padding); ?>">
<div class="<?php echo esc_attr($elate_layout_class); ?>">
	<div class="row">

		<?php
		// Left Sidebar
		if($elate_page_layout === 'left-sidebar') {
   		get_sidebar();
		}
		?>

		<div class="eclt-content-side <?php echo esc_attr($elate_column_class); ?>">

			<?php
			while ( have_posts() ) : the_post();

				the_content();
				echo elate_wp_link_pages();

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			?>

		</div><!-- Content Area -->

		<?php
		// Right Sidebar
		if($elate_page_layout === 'right-sidebar') {
			get_sidebar();
		}
		?>

	</div>
</div>
</div>

<?php
get_footer();