<?php
/*
 * The template for displaying all single casestudiess.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$elate_id    = ( isset( $post ) ) ? $post->ID : 0;
$elate_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $elate_id;
$elate_id    = ( elate_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $elate_id;
$elate_meta  = get_post_meta( $elate_id, 'page_type_metabox', true );

if ($elate_meta) {
	$elate_content_padding = $elate_meta['content_spacings'];
} else { $elate_content_padding = ''; }
// Padding - Metabox
if ($elate_content_padding && $elate_content_padding !== 'padding-none') {
	$elate_content_top_spacings = $elate_meta['content_top_spacings'];
	$elate_content_bottom_spacings = $elate_meta['content_bottom_spacings'];
	if ($elate_content_padding === 'padding-custom') {
		$elate_content_top_spacings = $elate_content_top_spacings ? 'padding-top:'. elate_check_px($elate_content_top_spacings) .';' : '';
		$elate_content_bottom_spacings = $elate_content_bottom_spacings ? 'padding-bottom:'. elate_check_px($elate_content_bottom_spacings) .';' : '';
		$elate_custom_padding = $elate_content_top_spacings . $elate_content_bottom_spacings;
	} else {
		$elate_custom_padding = '';
	}
} else {
	$elate_custom_padding = '';
}

// Translation
$elate_single_pagination = cs_get_option('casestudies_single_pagination');
$elate_prev_port = cs_get_option('prev_port');
$elate_next_port = cs_get_option('next_port');
$case_studies_single_url = cs_get_option('case_studies_single_url');
$elate_prev_port = ($elate_prev_port) ? $elate_prev_port : esc_html__('Prev Project', 'elate');
$elate_next_port = ($elate_next_port) ? $elate_next_port : esc_html__('Next Project', 'elate');
?>

<div class="container eclt-content-area <?php echo esc_attr($elate_content_padding); ?>" style="<?php echo esc_attr($elate_custom_padding); ?>">
<div class="row">

	<div class="col-lg-12 no-padding sngl-port-cnt">
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

			<?php
			if (have_posts()) : while (have_posts()) : the_post();

				the_content();

			endwhile;
			endif;
			?>

		</div><!-- Post ID -->
	</div><!-- Content Area -->
</div>

	<?php if ($elate_single_pagination) { ?>
	<!-- Next and Prev Navigation -->
	<div class="eclt-more-posts">
		<div class="row">
			<?php
				$elate_prev_post = get_previous_post();
				$elate_next_post = get_next_post();
			?>
	    <div class="col-md-4 col-sm-4">
	      <?php if ($elate_prev_post) {	?>
				<a href="<?php echo esc_url(get_permalink($elate_prev_post->ID)); ?>" class="more-posts-link">
					<span><i class="fa fa-angle-left" aria-hidden="true"></i> <?php echo esc_html($elate_prev_port); ?></span>
				</a>
				<?php } ?>
	    </div>
	    <div class="col-md-4 col-sm-4 text-center">
	      <?php if ($case_studies_single_url) { ?>
	      <a href="<?php echo esc_url($case_studies_single_url); ?>" class="post-grid-view"><span class="grid-icon"></span> <span class="grid-icon"></span></a>
	      <?php } ?>
	    </div>
	    <div class="col-md-4 col-sm-4 text-right">
	      <?php if ($elate_next_post) { ?>
				<a href="<?php echo esc_url(get_permalink($elate_next_post->ID)); ?>" class="more-posts-link">
					<span><?php echo esc_html($elate_next_port); ?> <i class="fa fa-angle-right" aria-hidden="true"></i></span>
				</a>
				<?php } ?>
	    </div>
		</div>
	</div>
	<?php } ?>

</div>

<?php
get_footer();