<?php
/*
 * The template for displaying all single team.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$elate_id    = ( isset( $post ) ) ? $post->ID : 0;
$elate_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $elate_id;
$elate_id    = ( elate_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $elate_id;
$elate_meta  = get_post_meta( $elate_id, 'page_type_metabox', true );
if ($elate_meta) {
	$elate_content_padding = $elate_meta['content_spacings'];
} else { $elate_content_padding = ''; }
// Padding - Theme Options
if ($elate_content_padding && $elate_content_padding !== 'padding-none') {
	$elate_content_top_spacings = $elate_meta['content_top_spacings'];
	$elate_content_bottom_spacings = $elate_meta['content_bottom_spacings'];
	if ($elate_content_padding === 'padding-custom') {
		$elate_content_top_spacings = $elate_content_top_spacings ? 'padding-top:'. elate_check_px($elate_content_top_spacings) .';' : '';
		$elate_content_bottom_spacings = $elate_content_bottom_spacings ? 'padding-bottom:'. elate_check_px($elate_content_bottom_spacings) .';' : '';
		$elate_custom_padding = $elate_content_top_spacings . $elate_content_bottom_spacings;
	} else {
		$elate_custom_padding = '';
	}
} else {
	$elate_top_spacing = cs_get_option('team_top_spacing');
	$elate_bottom_spacing = cs_get_option('team_bottom_spacing');
	if ($elate_top_spacing || $elate_bottom_spacing) {
		$elate_top_spacing = $elate_top_spacing ? 'padding-top:'. elate_check_px($elate_top_spacing) .';' : '';
		$elate_bottom_spacing = $elate_bottom_spacing ? 'padding-bottom:'. elate_check_px($elate_bottom_spacing) .';' : '';
		$elate_custom_padding = $elate_top_spacing . $elate_bottom_spacing;
	} else {
		$elate_custom_padding = '';
	}
}

$large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$large_image = $large_image[0];
if(class_exists('Aq_Resize')) {
	$team_img = aq_resize( $large_image, '400', '400', true );
} else {$team_img = $large_image;}
$team_featured_img = ( $team_img ) ? $team_img : ELATE_PLUGIN_ASTS . '/images/holders/270x370.png';

$abt_title = get_the_title();
$team_options = get_post_meta( get_the_ID(), 'team_options', true );
if($team_options) {
  $team_job_position = $team_options['team_job_position'];
  $phone_number_link = $team_options['phone_number_link'];
  $phone_number = $team_options['phone_number'];
  $mail_id_link = $team_options['mail_id_link'];
  $mail_id = $team_options['mail_id'];
	$team_socials = $team_options['social_icons'];
	$phone_number_text = $team_options['phone_number_text'];
	$mail_text = $team_options['mail_text'];
} else {
  $team_job_position = '';
  $team_socials = '';
  $team_contact = '';
  $phone_number_link = '';
  $phone_number = '';
   $mail_id_link = '';
  $mail_id = '';
  $phone_number_text = '';
	$mail_text = '';
}

?>

<div class="eclt-mid-wrap team-single <?php echo esc_attr($elate_content_padding); ?>" style="<?php echo esc_attr($elate_custom_padding); ?>">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="eclt-team-wrap">
					<div class="row align-items-center team-content-area">
						<div class="col-md-4">
							<?php if ($large_image) { ?>
			        <div class="eclt-image"><img src="<?php echo esc_url($team_featured_img); ?>" alt="<?php echo esc_attr($abt_title); ?>"></div>
			        <?php } ?>
						</div>
						<div class="col-md-8">
							<div class="single-mate-info">
								<div class="mate-info">
				          <h5 class="mate-name"><?php echo esc_html($abt_title); ?></h5>
				          <p><?php echo esc_html($team_job_position); ?></p>
				        </div>
				        
				            <div class="contact-detail">
                	<ul>
                		<li><span><?php echo esc_html($phone_number_text); ?></span> <a href="<?php echo esc_attr($phone_number_link); ?>"><?php echo esc_html($phone_number); ?></a></li>
                		<li><span><?php echo esc_html($mail_text); ?></span> <a href="<?php echo esc_attr($mail_id_link); ?>"><?php echo esc_html($mail_id); ?></a></li>
                	</ul>
                </div>
          <?php
                if ( ! empty( $team_socials ) ) { ?>
				        	<div class="eclt-social rounded">
                    <?php foreach ( $team_socials as $social ) {
                    if($social['icon_link']) { ?>
                    	<a href="<?php echo esc_url($social['icon_link']); ?>"><i class="<?php echo esc_attr($social['icon']); ?>"></i></a>
	                  <?php } } ?>
                	</div>
                <?php } ?>
			        </div>
						</div>
					</div>
				<?php
					if (have_posts()) : while (have_posts()) : the_post();
						the_content();
					endwhile;
					endif;
				?>
				</div><!-- Blog Div -->
				<?php
		    	wp_reset_postdata();  // avoid errors further down the page
				?>
			</div><!-- Content Area -->
		</div>
	</div>
</div>

<?php
get_footer();