<?php
/*
 * The template for displaying all single posts.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */
get_header();

// Metabox
$elate_id    = ( isset( $post ) ) ? $post->ID : 0;
$elate_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $elate_id;
$elate_id    = ( elate_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $elate_id;
$elate_meta  = get_post_meta( $elate_id, 'page_type_metabox', true );

if ($elate_meta) {
	$elate_content_padding = $elate_meta['content_spacings'];
} else { $elate_content_padding = ''; }
// Padding - Metabox
if ($elate_content_padding && $elate_content_padding !== 'padding-none') {
	$elate_content_top_spacings = $elate_meta['content_top_spacings'];
	$elate_content_bottom_spacings = $elate_meta['content_bottom_spacings'];
	if ($elate_content_padding === 'padding-custom') {
		$elate_content_top_spacings = $elate_content_top_spacings ? 'padding-top:'. elate_check_px($elate_content_top_spacings) .';' : '';
		$elate_content_bottom_spacings = $elate_content_bottom_spacings ? 'padding-bottom:'. elate_check_px($elate_content_bottom_spacings) .';' : '';
		$elate_custom_padding = $elate_content_top_spacings . $elate_content_bottom_spacings;
	} else {
		$elate_custom_padding = '';
	}
} else {
	$elate_custom_padding = '';
}

// Theme Options
$elate_sidebar_position = cs_get_option('single_sidebar_position');
$elate_single_blog_widget = cs_get_option('single_blog_widget');

if ($elate_single_blog_widget) {
	$widget_select = $elate_single_blog_widget;
} else {
	if (is_active_sidebar('sidebar-1')) {
		$widget_select = 'sidebar-1';
	} else {
		$widget_select = '';
	}
}

// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
	if ($elate_sidebar_position === 'sidebar-hide') {
		$elate_layout_class = 'col-md-12';
		$elate_sidebar_class = 'eclt-hide-sidebar';
	} elseif ($elate_sidebar_position === 'sidebar-left') {
		$elate_layout_class = 'col-md-9';
		$elate_sidebar_class = 'eclt-left-sidebar';
	} else {
		$elate_layout_class = 'col-md-9';
		$elate_sidebar_class = 'eclt-right-sidebar';
	}
} else {
	$elate_layout_class = 'col-md-12';
	$elate_sidebar_class = 'eclt-hide-sidebar';
}


?>

<div class="eclt-mid-wrap eclt-blog-single <?php echo esc_attr($elate_content_padding .' '. $elate_sidebar_class); ?>" style="<?php echo esc_attr($elate_custom_padding); ?>">
	<div class="container">
		<div class="row">

			<?php
			if ($elate_sidebar_position === 'sidebar-left' && $elate_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			}
			?>
			<div class="eclt-content-side <?php echo esc_attr($elate_layout_class); ?>">
				<div class="eclt-blog-one eclt-blog-list eclt-blog-col-1">

				<?php
				if ( have_posts() ) :
					/* Start the Loop */
					while ( have_posts() ) : the_post();
						get_template_part( 'layouts/post/content', 'single' );
						if ( comments_open() || get_comments_number() ) :
		          comments_template();
		        endif;
					endwhile;
				else :
					get_template_part( 'layouts/post/content', 'none' );
				endif; ?>

				</div><!-- Blog Div -->
				<?php
		    wp_reset_postdata();  // avoid errors further down the page
				?>
			</div><!-- Content Area -->

				<?php
				if ($elate_sidebar_position !== 'sidebar-hide') {
					get_sidebar(); // Sidebar
				}
				?>

		</div>
	</div>
</div>

<?php
get_footer();