<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

// Metabox
$elate_id    = ( isset( $post ) ) ? $post->ID : 0;
$elate_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $elate_id;
$elate_id    = ( elate_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $elate_id;
$elate_meta  = get_post_meta( $elate_id, 'page_type_metabox', true );

if ($elate_meta) {
	$elate_content_padding = $elate_meta['content_spacings'];
} else { $elate_content_padding = ''; }
// Padding - Metabox
if ($elate_content_padding && $elate_content_padding !== 'padding-none') {
	$elate_content_top_spacings = $elate_meta['content_top_spacings'];
	$elate_content_bottom_spacings = $elate_meta['content_bottom_spacings'];
	if ($elate_content_padding === 'padding-custom') {
		$elate_content_top_spacings = $elate_content_top_spacings ? 'padding-top:'. elate_check_px($elate_content_top_spacings) .';' : '';
		$elate_content_bottom_spacings = $elate_content_bottom_spacings ? 'padding-bottom:'. elate_check_px($elate_content_bottom_spacings) .';' : '';
		$elate_custom_padding = $elate_content_top_spacings . $elate_content_bottom_spacings;
	} else {
		$elate_custom_padding = '';
	}
} else {
	$elate_custom_padding = '';
}

// Page Layout Options
$elate_woo_columns = cs_get_option('woo_product_columns');
$elate_woo_columns = $elate_woo_columns ? $elate_woo_columns : '3';

$elate_woo_sidebar = cs_get_option('woo_sidebar_position');
$elate_woo_widget = cs_get_option('woo_widget');

if (!empty($elate_woo_widget)) {
	$widget_select = $elate_woo_widget;
} else {
	if (is_active_sidebar('sidebar-shop')) {
		$widget_select = 'sidebar-shop';
	} else {
		$widget_select = '';
	}
}

// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
	if ($elate_woo_sidebar === 'left-sidebar') {
		$elate_column_class = 'col-md-9';
		$elate_sidebar_class = 'eclt-left-sidebar';
	} elseif ($elate_woo_sidebar === 'sidebar-hide') {
		$elate_column_class = 'col-md-12';
		$elate_sidebar_class = 'eclt-hide-sidebar';
	} else {
		$elate_column_class = 'col-md-9';
		$elate_sidebar_class = 'eclt-right-sidebar';
	}
} else {
	$elate_woo_sidebar = 'sidebar-hide';
	$elate_column_class = 'col-md-12';
	$elate_sidebar_class = 'eclt-hide-sidebar';
}

get_header(); ?>

<div class="container eclt-content-area woo-col-<?php echo esc_attr($elate_woo_columns .' '. $elate_content_padding .' '. $elate_sidebar_class); ?>" style="<?php echo esc_attr($elate_custom_padding); ?>">
	<div class="row">
		<?php
		// Left Sidebar
		if($elate_woo_sidebar === 'left-sidebar') { get_sidebar('shop'); }
		?>
		<div class="eclt-content-side <?php echo esc_attr($elate_column_class); ?>">
			<?php
			if ( have_posts() ) :
				woocommerce_content();
			endif; // End of the loop.
			?>
		</div><!-- Content Area -->
		<?php
		// Right Sidebar
		if($elate_woo_sidebar !== 'left-sidebar' && $elate_woo_sidebar !== 'sidebar-hide') { get_sidebar('shop');	}
		?>
	</div>
</div>
<?php
get_footer();
